Subject: Re: gcc for WinNT
From: [email-masked] (Jim Balter)

7 Mar 1997 08:32:37 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <Pine.SUN.3.91.970306124349.26909B-100000@terra>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: "Ron G. Minnich" <[email-masked]>
Original-CC: Leong Kok Yong <[email-masked]>, [email-masked]
Original-Sender: [email-masked]

Ron G. Minnich wrote:
> 
> One thing I have seen: file i/o does not always works as it does on unix.
> For example, reading from a file, 1024 bytes at a time, with a file of
> 65536 bytes, will get me return values of:
> 1023, 1021, 1015, etc. Almost always 1024, but enough of these oddballs
> to cause trouble for programs that don't carefully check return values
> from read() (there are some of these ...). I had to fix the rtsp ref.
> port from realaudio to accomodate this strange read(2) behavior.

When reading in text mode, cygwin deletes CRs but neglects to read
more to fill out the buffer.

The chances are good that you don't want to be reading in text mode
in the first place.

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".